Mobile application abstract controller.

This file includes `import`'s mobile components/directives used by the HTML page and the controller to provide the configuration.

### Hierarchy

- unknown
  - AbstractMobileController

## Index

### Constructors

- constructor

### Properties

- displaywindowHeight
- displaywindowWidth
- leftNavVisible
- manageResize
- measureAreaActive
- measureLengthActive
- measurePointActive
- redirectUrl
- resizeTransition
- rightNavVisible
- searchListeners
- searchOverlayVisible

### Methods

- hideNav
- navIsVisible
- openNavMenu
- toggleLeftNavVisibility
- toggleRightNavVisibility

## Constructors

### constructor

- new AbstractMobileController($scope: IScope, $injector: IInjectorService): AbstractMobileController

- Overrides AbstractAppController.constructor

  - Defined in src/controllers/AbstractMobileController.js:46
  nginject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractMobileController

## Properties

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractMobileController.js:88

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractMobileController.js:93

### leftNavVisible

leftNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:52

### manageResize

manageResize: boolean

- Defined in src/controllers/AbstractMobileController.js:123

### measureAreaActive

measureAreaActive: boolean

- Defined in src/controllers/AbstractMobileController.js:69

The active state of the directive responsible of area measurements.

### measureLengthActive

measureLengthActive: boolean

- Defined in src/controllers/AbstractMobileController.js:83

The active state of the directive responsible of length measurements.

### measurePointActive

measurePointActive: boolean

- Defined in src/controllers/AbstractMobileController.js:76

The active state of the directive responsible of point measurements.

### redirectUrl

redirectUrl: any

- Defined in src/controllers/AbstractMobileController.js:139

constant

  {string}

### resizeTransition

resizeTransition: number

- Defined in src/controllers/AbstractMobileController.js:124

### rightNavVisible

rightNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:57

### searchListeners

searchListeners: SearchDirectiveListeners<never>

- Defined in src/controllers/AbstractMobileController.js:114

### searchOverlayVisible

searchOverlayVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:62

## Methods

### hideNav

- hideNav(): void

- - Defined in src/controllers/AbstractMobileController.js:157

  Hide both navigation menus.

  #### Returns void

### navIsVisible

- navIsVisible(): boolean

- - Defined in src/controllers/AbstractMobileController.js:166

  #### Returns boolean

  Return true if one of the navigation menus is visible, otherwise false.

### openNavMenu

- openNavMenu(target: string): void

- - Defined in src/controllers/AbstractMobileController.js:175

  Open the menu with corresponding to the data-target attribute value.

  #### Parameters

  - ##### target: string

    the data-target value.

  #### Returns void

### toggleLeftNavVisibility

- toggleLeftNavVisibility(): void

- - Defined in src/controllers/AbstractMobileController.js:144

  #### Returns void

### toggleRightNavVisibility

- toggleRightNavVisibility(): void

- - Defined in src/controllers/AbstractMobileController.js:150

  #### Returns void

Generated using TypeDoc